Subject: Morrels and Mycology Groups

From: [email-masked] (Frank T. Durante)
Date: 20 Apr 1995 02:06:52 GMT

I am an amateur mushroom hunter in Central New York.  Over the past few 
years I've learned to identify and eat (obviously not dead yet!) several 
species.  I would, however, like to expand my knowledge; short of taking 
technical courses.  Are there any groups consisting of amateurs and 
professionals in the area of Syracuse, NY.

Also, besides giving me latitude/longitude, could anyone advise me as to 
the best environment for morrels in Central New York.

Thanks!